import { Link } from 'react-router-dom';
import { Button } from './ui/button';

export default function Header() {
  return (
    <header>
      <nav className='bg-violet-50 py-2 px-4 md:px-6 lg:px-10 flex items-center justify-between'>
        <Link to='/'>
          <img
            src='/src/assets/logo.svg'
            className='h-16 w-auto'
            alt='SkillSwap Logo'
          />
        </Link>

        <div className='flex items-center gap-5'>
          <Button asChild>
            <Link to='/login'>Login</Link>
          </Button>
          <Button variant='outline' asChild>
            <Link to='/register'>Register</Link>
          </Button>
        </div>
      </nav>
    </header>
  );
}
